Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update a relation type

Update the title and/or type identifier of an existing relation type

PATCH/api/v1/{team_slug}/{app_slug}/relations/types/{type_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

type_idstringrequired

Type ID

Request body
requiredapplication/json

Relation type data

titlestring
typestring
Responses
200

Relation type updated successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.RelationTyperequired
Show properties
created_atstring
idstring
titlestring
typestring
updated_atstring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
422

Invalid request and not parsable by backend

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.enad.io/api/v1/string/string/relations/types/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "string",
  "type": "string"
}'
Response
{
  "data": {
    "created_at": "string",
    "id": "string",
    "title": "string",
    "type": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}